C     **********************
C     *  SUBROUTINE CALVF  *
C     **********************
C
      SUBROUTINE CALVF(SX2,SZ2,SX3,ND1,ND2,OM,F,A,IFLT,NCF)
C
      IMPLICIT REAL*8(A-H,O-Z)
      COMPLEX*16 F(ND1),A(ND2)
      DIMENSION SX2(ND1),SZ2(ND1),SX3(ND1),NCF(10)
C
      COMMON / NS / NS1,NS2,NS3
C
C     *****  INITIALIZATION  *****
C
      DO 100 I=1,ND2
        A(I)=(0.D0,0.D0)
  100 CONTINUE
C
C     *****  MAKE VECTOR VF  *****
C
      CALL MKMATF(SX2,SZ2,ND1,OM,F,NS2,1,IFLT,NCF)
      DO 200 I=1,NS2
        A(NS1+NS2+I)=F(I)
  200 CONTINUE
C
      CALL MKMATF(SX3,SZ2,ND1,OM,F,NS3,0,IFLT,NCF)
      DO 300 I=1,NS3
        A(NS1+2*NS2+I)=F(I)
  300 CONTINUE
C
C     *****  CHECKER'S FLAG NO.6  *****
C
      IF(NCF(6).EQ.1) THEN
      WRITE(6,*) '*****  MATRIX A  *****'
      WRITE(6,*) (A(I),I=1,NS1+2*NS2+NS3)
      END IF
C
      RETURN
      END
